<?php

namespace Planaday\Config\Booking\Voucher;

use Planaday\Config\Booking\BookingOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum VoucherSettingsEnum: string implements OptionGroupEnum {
	case ShowVoucherAlmostExpiredMessage = "showVoucherAlmostExpiredMessage";
	case VoucherAlmostExpiredThreshold = "voucherAlmostExpiredThreshold";
	case VoucherAlmostExpiredMessage = "voucherAlmostExpiredMessage";

	case ShowVoucherAlmostUsedUpMessage = "showVoucherAlmostUsedUpMessage";
	case VoucherAlmostUsedUpThreshold = "voucherAlmostUsedUpThreshold";
	case VoucherAlmostUsedUpMessage = "voucherAlmostUsedUpMessage";

	public static function getClassName(): string {
		return VoucherSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingOptionsEnum::Voucher;
	}
}
